## NautilusPropertyPage NautilusPropertyPage |

## Synopsis

                        NautilusPropertyPageDetails;
                        NautilusPropertyPage;
    NautilusPropertyPage * nautilus_property_page_new       (const char *name,
                                                             GtkWidget *label,
                                                             GtkWidget *page);

## Object Hierarchy

      GObject
       +----NautilusPropertyPage

## Properties

      "label"                    GtkWidget*            : Read / Write
      "name"                     gchar*                : Read / Write / Construct Only
      "page"                     GtkWidget*            : Read / Write

## Description

## Details

### NautilusPropertyPageDetails

    typedef struct _NautilusPropertyPageDetails NautilusPropertyPageDetails;

### NautilusPropertyPage

    typedef struct _NautilusPropertyPage NautilusPropertyPage;

### nautilus_property_page_new ()

    NautilusPropertyPage * nautilus_property_page_new       (const char *name,
                                                             GtkWidget *label,
                                                             GtkWidget *page);

Creates a new NautilusPropertyPage from page_widget.

`name` : | the identifier for the property page
`label` : | the user-visible label of the property page
`page` : | the property page to display
Returns : | a newly created NautilusPropertyPage

## Property Details

### The `"label"` property

      "label"                    GtkWidget*            : Read / Write

Label widget to display in the notebook tab.

### The `"name"` property

      "name"                     gchar*                : Read / Write / Construct Only

Name of the page.

Default value: NULL

### The `"page"` property

      "page"                     GtkWidget*            : Read / Write

Widget for the property page.